<%
/******************************************************************************
 * Copyright (c) 2000-2004 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 *
 *
 ******************************************************************************/
 /*****************************************************************************
 * DESCRIPTION:
 * Display a simple page, in order to inform the used. 
 * Display into a tab with a simple "close" button.
 * Designed to be used as a popup.
 *
 * 
 ******************************************************************************
 * TYPE: self closed pop-up, no forward
 ******************************************************************************
 * USAGE :
 * Request Parameter or attributes:
 *   DisplaySimpleMessageAction.REQ_ATTRIB_MSGTITLE: (mandatory) the title to be displayed
 *   DisplaySimpleMessageAction.REQ_ATTRIB_MSGCONTENT: (mandatory) the message to be displayed.
 *			=>the msgtitle or content can be a label code or the text as is
 *   DisplaySimpleMessageAction.REQ_ATTRIB_TEXTTYPE: (optional) format of text passed 
 *			=>DisplaySimpleMessageAction.REQ_VALUE_MSGTYPE_TEXT, (default), the message is transformed to html (line break...)
 *			=>DisplaySimpleMessageAction.REQ_VALUE_MSGTYPE_HTML="html", the message is leaved as it is
 *			=>DisplaySimpleMessageAction.REQ_VALUE_MSGTYPE_JAVASCRIPT="js", the message is transformed to html (line break...)
 * Call:
 *   could be called directly or from the js function "display_simple_message(title,msg,texttype)" from global_js.jsp. 
 *******************************************************************************/
%><%@page session="true"%><%@ page import="com.edeal.frontline.navigation.FlRequest" %><%@ page import="com.edeal.frontline.Utils"%><%@ page import="com.edeal.frontline.controller.actions.DisplaySimpleMessageAction" %><%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %><%
FlRequest flRequest = new FlRequest(request);
String msgTitle=flRequest.getRequestParameterOrAttribute(DisplaySimpleMessageAction.REQ_ATTRIB_MSGTITLE);
String msg=flRequest.getRequestParameterOrAttribute(DisplaySimpleMessageAction.REQ_ATTRIB_MSGCONTENT);
String formatToHtml=flRequest.getRequestParameterOrAttribute(DisplaySimpleMessageAction.REQ_ATTRIB_TEXTTYPE);
if (formatToHtml==null) {
	formatToHtml=DisplaySimpleMessageAction.REQ_VALUE_MSGTYPE_HTML;
}


msgTitle=(msgTitle==null)?"":msgTitle;
msg=(msg==null)?"":msg;
msgTitle=Utils.getMessage(session,msgTitle,msgTitle);
msg=Utils.getMessage(session,msg,msg);
if (formatToHtml.equals(DisplaySimpleMessageAction.REQ_VALUE_MSGTYPE_TEXT)) {
	msg=Utils.formatToWeb(msg,false);
} else if (formatToHtml.equals(DisplaySimpleMessageAction.REQ_VALUE_MSGTYPE_JAVASCRIPT)) {
	msg=Utils.formatToWeb(msg,true);
}

%>
<html>
<head>
	<title><%= msgTitle %></title>
	<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
	<link rel="stylesheet" href="<fl:webapp/>/css/master_css.jsp" type="text/css">
</head>
<body style="padding-right: 0px">
	<div id="object_css" style="top:0px;left: 0px; height: 100%; width: 100%;">
		<fl:bigTabs objectTitle="<%= msgTitle %>" ignoreCriteria="true" ignoreList="true" showFooter="false">
			<table class="container" cellpadding="0" style="height: 100%">
				<tr>
					<td class="dataValue">
					<%= msg %>
					</td>
				</tr>
			</table>
		</fl:bigTabs>
		<table class="container" cellpadding="0">
			<tr class="ligne_separation">
				<td></td>
			</tr>
			<tr>
				<td style="text-align: center"><a href="#" onclick="self.close();"><img src="<fl:link url="/icons/ico/valid_green_long.gif"/>" border="0" alt="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>" title="<fl:getMessage code="L61B1" alt="Fermer la fentre"/>"></a></td>
			</tr>
		</table>
	</div>
</body>
</html>
